Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.ui
Class InstanceDisplay

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JLayeredPane
                      javax.swing.JDesktopPane
                          edu.stanford.smi.protege.ui.InstanceDisplay

All Implemented Interfaces:
  Disposable, ImageObserver, MenuContainer, Serializable, Accessible

    public class InstanceDisplay

extends JDesktopPane
implements Disposable

A holder for the display of a runtime "ClsForm". This holder handles the "yellow sticky" ui and logic. This class inherits from JDesktopPane because it uses internal frames to display yellow stickies.

Author:
  Ray Fergerson
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JDesktopPane
`JDesktopPane.AccessibleJDesktopPane`

Nested classes/interfaces inherited from class javax.swing.JLayeredPane
`JLayeredPane.AccessibleJLayeredPane`

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JDesktopPane
`LIVE_DRAG_MODE, OUTLINE_DRAG_MODE`

Fields inherited from class javax.swing.JLayeredPane
`DEFAULT_LAYER, DRAG_LAYER, FRAME_CONTENT_LAYER, LAYER_PROPERTY, MODAL_LAYER, PALETTE_LAYER, POPUP_LAYER`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`InstanceDisplay(Project project)`
`InstanceDisplay(Project project, boolean showHeader, boolean showHeaderLabel)`

Method Summary
`protected void` | `addRuntimeWidgets(Instance instance, Cls associatedCls)`
`protected JComponent` | `createHeaderComponent()`
`protected JComponent` | `createSingleFormWidgetLayout(Collection widgets)`
`protected JComponent` | `createTabbedWidgetLayout(Collection widgets)`
`protected JComponent` | `createWidgetContainer(Collection widgets)`
`void` | `dispose()`
`protected boolean` | `doTabbedFormLayout()`
`static boolean` | `equals(Object o1, Object o2)`
`ClsWidget` | `getCurrentClsWidget()` Deprecated. Use #getCurrentClsWidgets() or #getFirstClsWidget
`Instance` | `getCurrentInstance()`
`ClsWidget` | `getFirstClsWidget()`
`HeaderComponent` | `getHeaderComponent()`
`protected JLabel` | `getHeaderLabel()`
`Dimension` | `getPreferredSize()`
`protected String` | `getTypeText(Instance instance)`
`protected ClsWidget` | `getWidget(Cls type, Instance instance, Cls associatedCls)` return null to prevent form from being displayed.
`protected boolean` | `isDisplayingSlot(Cls cls, Slot slot)`
`protected void` | `loadHeader()`
`protected void` | `loadHeaderLabel(Instance instance)`
`protected void` | `loadHeaderWithCls(Cls cls)`
`protected void` | `loadHeaderWithSimpleInstance(Instance instance)`
`protected void` | `loadHeaderWithSlot(Slot slot)`
`protected JScrollPane` | `makeInstanceScrollPane()`
`protected void` | `onDirectTypeAdded(Cls type)`
`protected void` | `onDirectTypeRemoved(Cls type)`
`protected void` | `removeCurrentWidgets()`
`void` | `reshape(int x, int y, int w, int h)` Deprecated.
`void` | `setBorder(Border border)`
`void` | `setInstance(Instance instance)`
`void` | `setInstance(Instance instance, Cls associatedCls)`
`void` | `setResizeVertically(boolean b)`
`protected boolean` | `shouldDisplaySlot(Cls cls, Slot slot)`

Methods inherited from class javax.swing.JDesktopPane
`getAccessibleContext, getAllFrames, getAllFramesInLayer, getDesktopManager, getDragMode, getSelectedFrame, getUI, getUIClassID, isOpaque, paramString, setDesktopManager, setDragMode, setSelectedFrame, setUI, updateUI`

Methods inherited from class javax.swing.JLayeredPane
`addImpl, getComponentCountInLayer, getComponentsInLayer, getComponentToLayer, getIndexOf, getLayer, getLayer, getLayeredPaneAbove, getObjectForLayer, getPosition, highestLayer, insertIndexForLayer, isOptimizedDrawingEnabled, lowestLayer, moveToBack, moveToFront, paint, putLayer, remove, removeAll, setLayer, setLayer, setPosition`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InstanceDisplay

    public InstanceDisplay(Project project)

### InstanceDisplay

    public InstanceDisplay(Project project,
                           boolean showHeader,
                           boolean showHeaderLabel)

Method Detail

### shouldDisplaySlot

    protected boolean shouldDisplaySlot(Cls cls,
                                        Slot slot)

### isDisplayingSlot

    protected boolean isDisplayingSlot(Cls cls,
                                       Slot slot)

### equals

    public static boolean equals(Object o1,
                                 Object o2)

### onDirectTypeAdded

    protected void onDirectTypeAdded(Cls type)

### onDirectTypeRemoved

    protected void onDirectTypeRemoved(Cls type)

### setBorder

    public void setBorder(Border border)

  Overrides:
    `setBorder` in class `JComponent`

### getHeaderComponent

    public HeaderComponent getHeaderComponent()

### getHeaderLabel

    protected JLabel getHeaderLabel()

### makeInstanceScrollPane

    protected JScrollPane makeInstanceScrollPane()

### addRuntimeWidgets

    protected void addRuntimeWidgets(Instance instance,
                                     Cls associatedCls)

### getWidget

    protected ClsWidget getWidget(Cls type,
                                  Instance instance,
                                  Cls associatedCls)

  return null to prevent form from being displayed.

### createWidgetContainer

    protected JComponent createWidgetContainer(Collection widgets)

### doTabbedFormLayout

    protected boolean doTabbedFormLayout()

### createTabbedWidgetLayout

    protected JComponent createTabbedWidgetLayout(Collection widgets)

### createSingleFormWidgetLayout

    protected JComponent createSingleFormWidgetLayout(Collection widgets)

### createHeaderComponent

    protected JComponent createHeaderComponent()

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `Disposable`

### getCurrentClsWidget

    @Deprecated
    public ClsWidget getCurrentClsWidget()

  Deprecated. Use #getCurrentClsWidgets() or #getFirstClsWidget

### getFirstClsWidget

    public ClsWidget getFirstClsWidget()

### getCurrentInstance

    public Instance getCurrentInstance()

### setResizeVertically

    public void setResizeVertically(boolean b)

### getPreferredSize

    public Dimension getPreferredSize()

  Overrides:
    `getPreferredSize` in class `JComponent`

### loadHeader

    protected void loadHeader()

### loadHeaderWithCls

    protected void loadHeaderWithCls(Cls cls)

### loadHeaderWithSlot

    protected void loadHeaderWithSlot(Slot slot)

### loadHeaderLabel

    protected void loadHeaderLabel(Instance instance)

### getTypeText

    protected String getTypeText(Instance instance)

### loadHeaderWithSimpleInstance

    protected void loadHeaderWithSimpleInstance(Instance instance)

### removeCurrentWidgets

    protected void removeCurrentWidgets()

### reshape

    @Deprecated
    public void reshape(int x,
                                   int y,
                                   int w,
                                   int h)

  Deprecated.

  Overrides:
    `reshape` in class `JComponent`

### setInstance

    public void setInstance(Instance instance)

### setInstance

    public void setInstance(Instance instance,
                            Cls associatedCls)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.